| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingChannelRequest Class Reference
[ChannelRequest proxies]

Class containing the parameters of and the reply to an asynchronous ChannelRequest request. Instances of this class cannot be constructed directly; the only way to get one is trough Account. More...

`#include <TelepathyQt4/PendingChannelRequest>`

Inherits Tp::PendingOperation.

List of all members.

## Signals

- void channelRequestCreated (const Tp::ChannelRequestPtr &channelRequest)

## Public Member Functions

- ~PendingChannelRequest ()
- ChannelRequestPtr channelRequest () const
- PendingOperation * cancel ()

## Detailed Description

Class containing the parameters of and the reply to an asynchronous ChannelRequest request. Instances of this class cannot be constructed directly; the only way to get one is trough Account.

## Constructor & Destructor Documentation

Tp::PendingChannelRequest::~PendingChannelRequest | ( |  | ) |

Class destructor.

## Member Function Documentation

ChannelRequestPtr Tp::PendingChannelRequest::channelRequest | ( |  | ) | const

PendingOperation * Tp::PendingChannelRequest::cancel | ( |  | ) |

void Tp::PendingChannelRequest::channelRequestCreated | ( | const Tp::ChannelRequestPtr & | channelRequest | ) | `[signal]`